# Logs

{% hint style="success" %}
**-** **NEW! -  Interactive API docs, now live!**

Visit [api-docs.plumvoice.com](https://api-docs.plumvoice.com) to **read** Plum API documentation, **build and test requests** in our interactive API sandbox, **review** the responses, and **share** it all with your team.
{% endhint %}

## API Summary

{% hint style="warning" %}
All APIs here require [authentication](/fuse/apis/authentication.md).
{% endhint %}

| Service | Description                                                |                                               |
| ------- | ---------------------------------------------------------- | --------------------------------------------- |
| GET     | [calls](/fuse/apis/logs/fetching-calls.md)                 | Get call logs within a timeframe              |
| GET     | [all\_logs](/fuse/apis/logs/get-call-logs-with-details.md) | Get call logs with details within a timeframe |
| GET     | [call](/fuse/apis/logs/fetching-a-call-log.md)             | Get a detailed call log with a session\_id    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plumvoice.com/fuse/apis/logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
